#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use Colour;
use PeopleDB;
use TreesDB;
use Security;

use integer;

$_user=param ('user');
$_tree = param ('tree');
$_totree = param ('totree');
$_tonick = param ('tonick');
$_link = param ('link');

if (!Security::editmode ($_user, $_tree)) {
    exit;
}

if ($_tonick =~ /\w+/)
{
    if (PeopleDB::isKnown ($_user, $_tree, $_link)) {
        $error = "$_link is already defined as a person.<BR>A link cannot have the same name as a person.";
    } elsif (!TreesDB::isKnown ($_user, $_totree)) {
        $error = "$_totree is not in the list of trees";
    } elsif (!PeopleDB::isKnown ($_user, $_totree, $_tonick)) {
        $error = "$_tonick is not listed in the $_totree tree";
    } else {
        LinksDB::addLink ($_user, $_tree, $_link, $_totree, $_tonick);

        $error = "$_link -> $_totree.$_tonick added";

        $_tonick = "";
        $_link = "";
    }
}

print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Add new link</TITLE></HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE WIDTH=100% BORDER=1 BGCOLOR=$Colour::DataBack>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Add a new link</H3>
</CENTER>
</TD></TR>
<TR><TD>
<CENTER>
$error
<FORM METHOD=get ACTION=addlink.pl>
<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>
<INPUT TYPE=HIDDEN NAME=tree VALUE=$_tree>
<TABLE>
<TR><TD>Link ID:</TD><TD><INPUT TYPE=TEXT NAME=link VALUE='$_link'> (Required)</TD></TR>
<TR><TD>To tree ID:</TD><TD><INPUT TYPE=TEXT NAME=totree VALUE='$_totree'> (Required)</TD></TR>
<TR><TD>and person ID:</TD><TD><INPUT TYPE=TEXT NAME=tonick VALUE='$_tonick'> (Required)</TD></TR>
</TABLE>
<BR>
</CENTER>
<CENTER>
<INPUT TYPE=SUBMIT VALUE=Submit> <INPUT TYPE=RESET><BR>
</CENTER>
</FORM>
</TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
EOF
;

