#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use AliasesDB;
use Colour;
use EventDB;
use UserDB;
use Security;

use integer;

$_username=param ('username');
$_password = param ('password');
$_email = param ('email');
$_realname = param ('realname');
$_link = param ('link');



if ($_username =~ /\w+/)
{

    if ($_password !~ /\w\w\w\w\w*/) {
        $error = "Error: Password is too short or otherwise invalid";
    } elsif (UserDB::isKnown ($_username)) {
        $error = "Error: already exists $_username";
    } elsif ($_email !~ /\w+@\w+\.\w+.*/) {
        $error = "Error: Doesn't look like a good email address";
    } else {
    
        UserDB::addUser ($_username, $_password, param('realname'), param ('email'), param ('link'));

        $mycgidir = $ENV{'REQUEST_URI'};
        $mycgidir =~ s/(.*)\/(.*)?$/$1/;

        print <<EOF
Set-Cookie: gen_cookie=$_username; PATH=$mycgidir
Content-type: text/html

<HTML>
<HEAD><TITLE>Signed On</TITLE>
EOF
;

        if ($_tree =~ /\w+/) {
            print <<EOF
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$mycgidir/listall.pl?user=$_username&tree=$_tree&familyname=$_familyname">
EOF
;
        } else {
            print <<EOF
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$mycgidir/listtrees.pl?user=$_username">
EOF
;
        }

        print <<EOF
</HEAD>
</HTML>
EOF
;
        Log::log ($_username, "", "Created");

        exit;

    }
}

print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Add new user</TITLE></HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE WIDTH=100% BORDER=1 BGCOLOR=$Colour::DataBack>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Add a new user</H3>
</CENTER>
</TD></TR>
<TR><TD>
It is unnecessary to 'register' if you are only wanting to view the
family trees. Registering is only required for those who wish to
create and maintain a tree. 
</TD></TR>
<TR><TD>
<CENTER>
$error
<FORM METHOD=get ACTION=adduser.pl>
<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>
<TABLE>
<TR><TD>Username:</TD><TD><INPUT TYPE=TEXT NAME=username VALUE='$_username'></TD></TR>
<TR><TD>Password:</TD><TD><INPUT TYPE=TEXT NAME=password></TD></TR>
<TR><TD>Real Names:</TD><TD><INPUT TYPE=TEXT NAME=realname VALUE='$_realname'></TD></TR>
<TR><TD>Email Address:</TD><TD><INPUT TYPE=TEXT NAME=email VALUE='$_email'></TD></TR>
<TR><TD>Link (URL):</TD><TD><INPUT TYPE=TEXT NAME=link VALUE='$_link'></TD></TR>
</TABLE>
<BR>
</CENTER>
<CENTER>
<INPUT TYPE=SUBMIT VALUE=Submit> <INPUT TYPE=RESET><BR>
</CENTER>
</FORM>
</TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
EOF
;

