#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use AliasesDB;
use EventDB;
use ParentsDB;
use PeopleDB;
use Security;

use integer;

$_user=param ('user');
$_tree=param ('tree');
$_nick=param ('nick');

if (Security::editmode ($_user, $_tree)) {
    PeopleDB::deletePerson ($_user, $_tree, $_nick);

    AliasesDB::deleteAlias ($_user, $_tree, $_nick);

    EventDB::deleteEvent ($_user, $_tree, $_nick, "", "");

    ParentsDB::deleteAsParent ($_user, $_tree, $_nick);
    ParentsDB::deleteBothParents ($_user, $_tree, $_nick);

    print <<EOF
Content-type: text/html

<HTML>
<HEAD>
<SCRIPT LANGUAGE=JAVASCRIPT>
navWin = window.open ("", "FT_NAV");
navWin.location.href=navWin.location;
navWin.focus();
</SCRIPT>
</HEAD>
<BODY>
</BODY>
</HTML>
EOF
;

} else {

    exec ("./showperson.pl");
}

