#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use Colour;
use Date;
use EventDB;
use PeopleDB;


use integer;

$_user=param ('user');
$_tree=param ('tree');
$_nick=param ('nick');
$_familyname=param ('familyname');


@people = PeopleDB::allPeople ($_user, $_tree);

$name = PeopleDB::fullName ($_user, $_tree, $_nick);

$refbirth = EventDB::eventDate ($_tree, $_nick, "B");
$refdeath = EventDB::eventDate ($_tree, $_nick, "D");

PERSON: foreach $n (@people) {
    $b = EventDB::eventDate ($_tree, $n, "B");
    $d = EventDB::eventDate ($_tree, $n, "D");

    if (Date::aGTb ($b, $refdeath)) {
         next PERSON;
    }
    if (Date::aLTb ($d, $refbirth)) {
         next PERSON;
    }

    if ($n ne $_nick) {
        $livingpeople{$n} = PeopleDB::fullName ($_user, $_tree, $n);
    }
}


print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Add event for $name</TITLE>
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE BGCOLOR=#F0F0F0 WIDTH=100% BORDER=1>
<TR><TD BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Add event for $name</H3>
</CENTER>
</TD></TR>
<TR><TD BGCOLOR=$Colour::DataBack>
EOF
;


print "<FORM METHOD=GET ACTION=addevent.pl>\n";
print "<INPUT TYPE=HIDDEN NAME=tree VALUE=$_tree>\n";
print "<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>\n";
print "<INPUT TYPE=HIDDEN NAME=nick VALUE=$_nick>\n";
print "<INPUT TYPE=HIDDEN NAME=familyname VALUE=$_familyname>\n";

@et = EventDB::eventTypes ($_user, $_tree);

print <<EOF
Event: <SELECT NAME=event>
EOF
;

foreach $e (@et) {

    $code = $e->[0];
    $text = $e->[1];

print <<EOF
<OPTION VALUE=$code>$text
EOF
;
}

print <<EOF
</SELECT>
EOF
;

print "<UL>\n";

print "<SELECT NAME=p1>\n<OPTION>\n";
foreach $n (sort {$livingpeople{$a} cmp $livingpeople{$b}} keys %livingpeople) {
    $b = EventDB::eventDate ($_tree, $n, "B");

    print ("<OPTION VALUE=$n>$livingpeople{$n} ($n) ");
    print " " . Date::formatYYYY ($b);
}
print "</SELECT>\n";
print "</UL>\n";
print "and: \n";
print "<UL>\n";
print "<SELECT NAME=p2>\n<OPTION>\n";
foreach $n (sort {$livingpeople{$a} cmp $livingpeople{$b}} keys %livingpeople) {
    print ("<OPTION VALUE=$n>$livingpeople{$n} ($n) ");
    $b = EventDB::eventDate ($_tree, $n, "B");
    print " " . Date::formatYYYY ($b);
}
print "</SELECT>\n<BR>";
print "</UL>\n";

print <<EOF
When: 
Century:
<SELECT NAME=eventc>
<OPTION VALUE="  " SELECTED>
<OPTION VALUE=14>14
<OPTION VALUE=15>15
<OPTION VALUE=16>16
<OPTION VALUE=17>17
<OPTION VALUE=18>18
<OPTION VALUE=19>19
<OPTION VALUE=20>20
</SELECT>
Year:
<SELECT NAME=eventy>
<OPTION VALUE="  " SELECTED>
<OPTION VALUE=00>00
<OPTION VALUE=01>01
<OPTION VALUE=02>02
<OPTION VALUE=03>03
<OPTION VALUE=04>04
<OPTION VALUE=05>05
<OPTION VALUE=06>06
<OPTION VALUE=07>07
<OPTION VALUE=08>08
<OPTION VALUE=09>09
<OPTION VALUE=10>10
<OPTION VALUE=11>11
<OPTION VALUE=12>12
<OPTION VALUE=13>13
<OPTION VALUE=14>14
<OPTION VALUE=15>15
<OPTION VALUE=16>16
<OPTION VALUE=17>17
<OPTION VALUE=18>18
<OPTION VALUE=19>19
<OPTION VALUE=20>20
<OPTION VALUE=21>21
<OPTION VALUE=22>22
<OPTION VALUE=23>23
<OPTION VALUE=24>24
<OPTION VALUE=25>25
<OPTION VALUE=26>26
<OPTION VALUE=27>27
<OPTION VALUE=28>28
<OPTION VALUE=29>29
<OPTION VALUE=30>30
<OPTION VALUE=31>31
<OPTION VALUE=32>32
<OPTION VALUE=33>33
<OPTION VALUE=34>34
<OPTION VALUE=35>35
<OPTION VALUE=36>36
<OPTION VALUE=37>37
<OPTION VALUE=38>38
<OPTION VALUE=39>39
<OPTION VALUE=40>40
<OPTION VALUE=41>41
<OPTION VALUE=42>42
<OPTION VALUE=43>43
<OPTION VALUE=44>44
<OPTION VALUE=45>45
<OPTION VALUE=46>46
<OPTION VALUE=47>47
<OPTION VALUE=48>48
<OPTION VALUE=49>49
<OPTION VALUE=50>50
<OPTION VALUE=51>51
<OPTION VALUE=52>52
<OPTION VALUE=53>53
<OPTION VALUE=54>54
<OPTION VALUE=55>55
<OPTION VALUE=56>56
<OPTION VALUE=57>57
<OPTION VALUE=58>58
<OPTION VALUE=59>59
<OPTION VALUE=60>60
<OPTION VALUE=61>61
<OPTION VALUE=62>62
<OPTION VALUE=63>63
<OPTION VALUE=64>64
<OPTION VALUE=65>65
<OPTION VALUE=66>66
<OPTION VALUE=67>67
<OPTION VALUE=68>68
<OPTION VALUE=69>69
<OPTION VALUE=70>70
<OPTION VALUE=71>71
<OPTION VALUE=72>72
<OPTION VALUE=73>73
<OPTION VALUE=74>74
<OPTION VALUE=75>75
<OPTION VALUE=76>76
<OPTION VALUE=77>77
<OPTION VALUE=78>78
<OPTION VALUE=79>79
<OPTION VALUE=80>80
<OPTION VALUE=81>81
<OPTION VALUE=82>82
<OPTION VALUE=83>83
<OPTION VALUE=84>84
<OPTION VALUE=85>85
<OPTION VALUE=86>86
<OPTION VALUE=87>87
<OPTION VALUE=88>88
<OPTION VALUE=89>89
<OPTION VALUE=90>90
<OPTION VALUE=91>91
<OPTION VALUE=92>92
<OPTION VALUE=93>93
<OPTION VALUE=94>94
<OPTION VALUE=95>95
<OPTION VALUE=96>96
<OPTION VALUE=97>97
<OPTION VALUE=98>98
<OPTION VALUE=99>99
</SELECT>
Month:
<SELECT NAME=eventm>
<OPTION VALUE="  " SELECTED>
<OPTION VALUE=00>Jan
<OPTION VALUE=01>Feb
<OPTION VALUE=02>Mar
<OPTION VALUE=03>Apr
<OPTION VALUE=04>May
<OPTION VALUE=05>Jun
<OPTION VALUE=06>Jul
<OPTION VALUE=07>Aug
<OPTION VALUE=08>Sep
<OPTION VALUE=09>Oct
<OPTION VALUE=10>Nov
<OPTION VALUE=11>Dec
</SELECT>
Day:
<SELECT NAME=eventd>
<OPTION VALUE="  " SELECTED>
<OPTION VALUE=01>01
<OPTION VALUE=02>02
<OPTION VALUE=03>03
<OPTION VALUE=04>04
<OPTION VALUE=05>05
<OPTION VALUE=06>06
<OPTION VALUE=07>07
<OPTION VALUE=08>08
<OPTION VALUE=09>09
<OPTION VALUE=10>10
<OPTION VALUE=11>11
<OPTION VALUE=12>12
<OPTION VALUE=13>13
<OPTION VALUE=14>14
<OPTION VALUE=15>15
<OPTION VALUE=16>16
<OPTION VALUE=17>17
<OPTION VALUE=18>18
<OPTION VALUE=19>19
<OPTION VALUE=20>20
<OPTION VALUE=21>21
<OPTION VALUE=22>22
<OPTION VALUE=23>23
<OPTION VALUE=24>24
<OPTION VALUE=25>25
<OPTION VALUE=26>26
<OPTION VALUE=27>27
<OPTION VALUE=28>28
<OPTION VALUE=29>29
<OPTION VALUE=30>30
<OPTION VALUE=31>31
</SELECT>
<BR>
<BR>
Where: <INPUT TYPE=TEXT NAME=where><BR>
<BR>
Ref: <INPUT TYPE=TEXT NAME=ref>
<BR>
<BR>
Comment: <TEXTAREA NAME=comment ROWS=3 COLS=40></TEXTAREA>
<BR>

EOF
;


print <<EOF
<P>
<CENTER>
<INPUT TYPE=SUBMIT VALUE=Submit><INPUT TYPE=RESET>
<BR><BR>
<INPUT TYPE=BUTTON VALUE="Cancel" ONCLICK="top.location.href='showperson.pl?user=$_user&tree=$_tree&nick=$_nick&familyname=$_familyname'">
</FORM>
</CENTER>
</TD></TR>
</TABLE>
</BODY>
</HTML>
EOF
;

