#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use Security;
use Colour;
use FTUtility;
use PeopleDB;


use integer;

$_user=param ('user');
$_tree=param ('tree');

$editmode=Security::editmode ($_user, $_tree);


@people = PeopleDB::allPeopleDetails ($_user, $_tree);

PERSON: foreach $pr (@people) {
    $name = $pr->[1];
    ($familyname) = split (/,/, $name);
    $namelist{$familyname} = 1;
}


print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>List family names</TITLE>
EOF
;

FTUtility::navScripts;

print <<EOF
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE BORDER=1 WIDTH=100%>
<TR><TD BGCOLOR=$Colour::HeaderBack COLSPAN=2>
<CENTER>
<H3>List Family Names</H3>
</CENTER>
</TD></TR>
<TR><TD WIDTH=15 VALIGN=TOP>
EOF
;

FTUtility::navPanel ("listfamilynames", $_user, $_tree, $_familyname);

print <<EOF
</TD><TD ROWSPAN=2 BGCOLOR=$Colour::ListBack>
<TABLE BORDER=0 WIDTH=100%>
EOF
;

foreach $nick (sort keys %namelist) {
    print ("<TR><TD BGCOLOR=$Colour::ListItemBack><A HREF=listall.pl?tree=$_tree&user=$_user&familyname=$nick TARGET=FT_NAV>$nick</A></TD></TR>\n");
}

print <<EOF
</TABLE>
</TD></TR>
</TABLE>
</BODY>
</HTML>
EOF
;

