#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use Security;
use Colour;
use PeopleDB;
use FTUtility;

use integer;

$_user=param ('user');
$_tree=param ('tree');
$treeset=($_tree =~ /\w+/);
$_familyname=param ('familyname');

$editmode=Security::editmode ($_user, $_tree);


print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>List all links</TITLE>
EOF
;

if ($editmode) {
   print <<EOF
<SCRIPT LANGUAGE=JAVASCRIPT>
function checkdel (k)
{
    if (confirm ("Delete this link (" + k + ")?"))
       top.location.href='dellink.pl?tree=$_tree&user=$_user&nick=' + escape(k);
}
</SCRIPT>
EOF
;
}

FTUtility::navScripts;

print <<EOF
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE BORDER=1 WIDTH=100%>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>List all links</H3>
</CENTER>
</TR></TD>
<TR><TD WIDTH=180 VALIGN=TOP HEIGHT=100%>
EOF
;


FTUtility::navPanel ("listlinks", $_user, $_tree, $_familyname);


print <<EOF
</TD><TD BGCOLOR=$Colour::ListBack>
EOF
;

if ($editmode) {
    print "<FORM>\n";
}

print "<TABLE BORDER=0 BGCOLOR=$Colour::ListItemBack WIDTH=100%>\n";


open (LINKS, "<./trees/$_tree/links.idx");

LINK: while (<LINKS>) {
    chomp;
    (my $tt, my $tn, my $ot, my $on) = split (/\|/);

    $name = PeopleDB::fullName ($_user, $ot, "$ot.$on");

    print "<TR>";

    if ($editmode) {
        print "<TD><INPUT TYPE=BUTTON VALUE=Del onClick=\"checkdel(\'$tn\');\")></TD>";
    }

    print "<TD>$tn</TD><TD>$ot.$on</TD><TD><A HREF=showperson.pl?user=$_user&tree=$_tree&familyname=$_familyname&nick=$tn TARGET=FT_DATA>$name</A></TD></TR>\n";
}

close (LINKS);

print ("</TABLE>\n");
if ($editmode) {
    print "</FORM>\n";
}
print ("</TD>\n");
print ("</TR>\n");


print <<EOF
</TABLE>
</BODY>
</HTML>
EOF
;

