#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use CGI::Cookie;
use FTUtility;
use Security;
use Colour;
use TreesDB;
use UserDB;


use integer;

$_user=param ('user');
$_tree=param ('tree');


print <<EOF
Content-type: text/html

<HTML>
<HEAD>
<SCRIPT LANGUAGE=JAVASCRIPT>
top.focus();
</SCRIPT>

<TITLE>Family Trees</TITLE>
EOF
;

FTUtility::navScripts;

print <<EOF
</HEAD>
<BODY BGCOLOUR=$Colour::WindowBack>
<TABLE WIDTH=100% BORDER=1>
<TR><TD BGCOLOR=$Colour::HeaderBack COLSPAN=2>
<CENTER>
<H3>Family Trees</H3>
</CENTER>
</TD></TR>
<TR><TD VALIGN=TOP WIDTH=150>
EOF
;

FTUtility::navPanel ("listtrees", $_user, $_tree, $_familyname);

print <<EOF
</TD>
<TD BGCOLOR=$Colour::ListBack>
EOF
;

if ($_user =~ /\w+/) {

    @tree = TreesDB::allTreesFor ($_user);

    if ($#tree >= 0) {
        print <<EOF
<H4>Editable Trees:</H4>
<CENTER>
<TABLE BORDER=0 BGCOLOR=$Colour::ListItemBack>
EOF
;

        @t = sort { $na = $a->[1]; $nb = $b->[1]; return $na cmp $nb; } @tree;

        TREE: foreach $tr (@t) {
            $nick = $tr->[0];
            $name = $tr->[1];
            $owner = $tr->[2];

            $ownername = UserDB::realname ($owner);

            print ("<TR><TD><A HREF=listall.pl?user=$_user&tree=$nick TARGET=FT_NAV>$name</A></TD><TD>($nick)</TD><TD>$ownername</TD></TR>\n");
        }

        print <<EOF
</TABLE>
</CENTER>
EOF
;
    }
}

print <<EOF
<H4>All Trees:</H4>
<CENTER>
<TABLE BGCOLOR=$Colour::ListItemBack BORDER=0>
EOF
;

@tree = TreesDB::allTreeDetails ($_user);

@t = sort { $na = $a->[1]; $nb = $b->[1]; return $na cmp $nb; } @tree;

TREE: foreach $tr (@t) {
    $nick = $tr->[0];
    $name = $tr->[1];
    $owner = $tr->[2];

    $ownername = UserDB::realname ($owner);

    print ("<TR><TD><A HREF=listall.pl?user=$_user&tree=$nick TARGET=FT_NAV>$name</A></TD><TD>($nick)</TD><TD>$ownername&nbsp;</TD></TR>\n");
}

print <<EOF
</TABLE>
</CENTER>
</TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
EOF
;

