#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use CGI::Cookie;
use Log;

use FTUtility;
use Security;
use Colour;


use integer;

$_user=param ('user');
$_tree=param ('tree');
$_familyname=param ('familyname');

$username=param ('username');
$password=param ('password');


$mycgidir = $ENV{'REQUEST_URI'};
$mycgidir =~ s/(.*)\/(.*)?$/$1/;

if ($username =~ /\w+/) {
    if (Security::isSignonOK ($username, $password)) {
        $_user = $username;

        print <<EOF
Set-Cookie: gen_cookie=$username; PATH=$mycgidir
Content-type: text/html

<HTML>
<HEAD><TITLE>Signed On</TITLE>
<SCRIPT LANGUAGE=JAVASCRIPT>
navWin = window.open ("", "FT_DATA");
navWin.location.href=navWin.location.href;
</SCRIPT>

EOF
;

        if ($_tree =~ /\w+/) {
            print <<EOF
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$mycgidir/listall.pl?user=$username&tree=$_tree&familyname=$_familyname">
EOF
;
        } else {
            print <<EOF
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$mycgidir/listtrees.pl?user=$username">
EOF
;
        }

        print <<EOF
</HEAD>
</HTML>
EOF
;
        Log::log ($_user, $_tree, "Signed on");

        exit;
        #
    }

    $error = "User name and password is not recognised";
}

print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Sign On</TITLE>
EOF
;

FTUtility::navScripts;

print <<EOF
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE WIDTH=100% BORDER=1>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Sign On</H3>
$error
</CENTER>
</TD></TR>
<TR><TD VALIGN=TOP >
EOF
;

FTUtility::navPanel ("signon", $_user, $_tree, $_familyname);


print <<EOF
</TD><TD BGCOLOR=$Colour::DataBack>
<CENTER>
<FORM METHOD=GET ACTION=signon.pl>
<INPUT TYPE=HIDDEN NAME=tree VALUE=$_tree>
<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>
<INPUT TYPE=HIDDEN NAME=familyname VALUE=$_familyname>
<TABLE>
<TR>
<TD>User Name:</TD><TD><INPUT TYPE=TEXT NAME=username VALUE=$username></TD>
</TR>
<TR>
<TD>Password:</TD><TD><INPUT TYPE=PASSWORD NAME=password></TD>
</TR>
</TABLE>
<INPUT TYPE=SUBMIT VALUE=Submit><INPUT TYPE=RESET>
</FORM>
</CENTER>
</TD>
</TR>
</TABLE>
</BODY>
</HTML>
EOF
;

