#!/bin/perl

package Log;


sub log {

    my $user = $_[0];
    my $tree = $_[1];
    my $text = $_[2];

    open (LOG, ">>./trees/$tree/log.log");

    print LOG time . "|$user|$tree|$text\n";

    close (LOG);
}

sub entries {

    my $user = $_[0];
    my $tree = $_[1];

    my @r;

    open (LOG, "<./trees/$tree/log.log");

    while (<LOG>) {
        chomp;
        (my $t, my $u, my $tr, my $text) = split (/\|/);

        push @r, [($t, $u, $text)];
    }

    close (LOG);

    return @r;
}

1

