
package Security;

use CGI::Cookie;

use TreesDB;


sub isSignonOK {

    $username = $_[0];
    $password = $_[1];

    if ($username =~ /\w+/) {
        open( USERS, "<./users.db" );
        while (<USERS>) {
            chomp;
            ($u, $su, $pw) = split (/\|/);
            if ($username =~ /^$u$/ && $password =~ /^$pw$/) {
                close (USERS);
                return 1;
            }
        }
    }

    (close USERS);

    return 0;
}


sub isSignedOn {

    my $user = $_[0];

    my %cookies = fetch CGI::Cookie;

    my $c = $cookies{'gen_cookie'};

    if (defined ($c) && $c->value && $c->value !~ /no-user/) {
        return $c->value;
    } else {
        return 0;
    }
}


sub editmode {

    my $user = $_[0];
    my $tree = $_[1];

    my %cookies = fetch CGI::Cookie;

    my $c = $cookies{'gen_cookie'};

    my $em = 0;

    if (defined ($c) && $c->value) {
        $cu = $c->value;
        @trees = TreesDB::allTreesFor ($cu);
        TREE: foreach $t (@trees) {
            if ($t->[0] eq $tree) {
                $em = 1;
                last TREE;
            }
        }
    }

    return $em;
}


sub signoff {

    my $url = $_[0];
    my $mycgidir = $url;

    $mycgidir =~ s/(.*)\/(.*)?$/$1/;

    print <<EOF
Set-Cookie: gen_cookie="no-user"; PATH=$mycgidir
Content-type: text/html

<HTML>
<HEAD><TITLE>Signed Off</TITLE>
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$url">
EOF
;

}


1

