#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use AliasesDB;
use Colour;
use EventDB;
use TreesDB;
use Security;

use integer;

$_user=param ('user');
$_tree = param ('tree');
$_treename = param ('treename');
$_link = param ('link');



if ($_tree =~ /\w+/)
{

    if ($_tree !~ /\w\w\w\w\w*/) {
        $error = "Error: Tree nickname is too short or otherwise invalid";
    } elsif (TreesDB::isKnown ($_user, $_tree)) {
        $error = "Error: already exists $_tree";
    } elsif ($_treename !~ /\w\w\w\w\w*/) {
        $error = "Error: Tree long name is too short or otherwise invalid";
    } else {
    
        TreesDB::addTree ($_user, $_tree, $_treename, $_user, $_user);

        $mycgidir = $ENV{'REQUEST_URI'};
        $mycgidir =~ s/(.*)\/(.*)?$/$1/;

        print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Tree created</TITLE>
EOF
;

        print <<EOF
<META HTTP-EQUIV="REFRESH" CONTENT="0;url=$mycgidir/listall.pl?user=$_user&tree=$_tree&familyname=$_familyname">
</HEAD>
</HTML>
EOF
;
        exit;

    }
}

print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Add new tree</TITLE></HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE WIDTH=100% BORDER=1 BGCOLOR=$Colour::DataBack>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Add a new tree</H3>
</CENTER>
</TD></TR>
<TR><TD>
<CENTER>
$error
<FORM METHOD=get ACTION=addtree.pl>
<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>
<TABLE>
<TR><TD>Tree nickname:</TD><TD><INPUT TYPE=TEXT NAME=tree VALUE='$_tree'></TD></TR>
<TR><TD>Tree long name:</TD><TD><INPUT TYPE=TEXT NAME=treename></TD></TR>
<TR><TD>Link (URL):</TD><TD><INPUT TYPE=TEXT NAME=link VALUE='$_link'></TD></TR>
</TABLE>
<BR>
</CENTER>
<CENTER>
<INPUT TYPE=SUBMIT VALUE=Submit> <INPUT TYPE=RESET><BR>
</CENTER>
</FORM>
</TD></TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
EOF
;

