#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use Security;
use Colour;
use Date;
use EventDB;
use PeopleDB;
use FTUtility;

use integer;

$_user=param ('user');
$_tree=param ('tree');
$treeset=($_tree =~ /\w+/);
$_familyname=param ('familyname');


$editmode=Security::editmode ($_user, $_tree);

print <<EOF
Content-type: text/html

<HTML>
<HEAD>
<SCRIPT LANGUAGE=JAVASCRIPT>
top.focus();
</SCRIPT>

<TITLE>List all $_familyname</TITLE>
EOF
;

FTUtility::navScripts;

print <<EOF
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE BORDER=1 WIDTH=100%>
<TR><TD COLSPAN=2 BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>List all $_familyname</H3>
</CENTER>
</TR></TD>
<TR><TD WIDTH=180 VALIGN=TOP HEIGHT=100%>
EOF
;


FTUtility::navPanel ("listall", $_user, $_tree, $_familyname);


print <<EOF
</TD><TD BGCOLOR=$Colour::ListBack>
EOF
;

print "<TABLE BORDER=0 BGCOLOR=$Colour::ListItemBack WIDTH=100%>\n";

@people = PeopleDB::allPeopleDetails ($_user, $_tree);

@p = sort { $na = $a->[1]; $nb = $b->[1]; return $na cmp $nb; } @people;

PERSON: foreach $pr (@p) {
    $nick = $pr->[0];
    $name = $pr->[1];
    $sex = $pr->[2];
    $link = $pr->[3];
    $t = $pr->[4];

    next PERSON if ($_familyname =~ /\w+/ && $name !~ /^$_familyname,/);

    if ($_familyname =~ /\w+/) {
        $_tree = $t;
    }

    print ("<TR><TD><A HREF=showperson.pl?tree=$_tree&user=$_user&nick=$nick&familyname=$_familyname TARGET=FT_DATA>$name</A></TD><TD>$nick</TD><TD>$sex</TD>");

    $b = EventDB::eventDate ($_tree, $nick, "B");

    print "<TD>" . Date::formatYYYY ($b)."&nbsp;</TD>";

    $d = EventDB::eventDate ($_tree, $nick, "D");

    print "<TD>" . Date::formatYYYY ($d)."&nbsp;</TD>";

    print ("\n");
    print ("</TR>\n");
}
print ("</TABLE>\n");
print ("</TD>\n");
print ("</TR>\n");


print <<EOF
</TABLE>
</BODY>
</HTML>
EOF
;

