#!/usr/bin/perl

use CGI qw(:standard escapeHTML);
use AliasesDB;
use Colour;
use EventDB;
use PeopleDB;
use Security;


use integer;

$_user=param ('user');
$_tree=param ('tree');
$_nick=param ('nick');


if (!Security::editmode ($_user, $_tree)) {
    exit;
}

($n, $name, $sex, $homepage, $t, $comment, $link) = PeopleDB::personDetails ($_user, $_tree, $_nick);

($familyname, $othernames) = split (/,/, $name);

@aka = AliasesDB::aliases ($_user, $_tree, $_nick);


$birth = "        ";
$death = "        ";

($birth, $bornwhere, $p1, $p2, $bref, $bcom) = EventDB::eventDetails ($_tree, $_nick, "B");
if ($birth !~ /\w+/) {
    $birth = "        ";
}

($death, $diedwhere, $p1, $p2, $dref, $dcom) = EventDB::eventDetails ($_tree, $_nick, "D");
if ($death !~ /\w+/) {
    $death = "        ";
}



print <<EOF
Content-type: text/html

<HTML>
<HEAD><TITLE>Modify $name</TITLE>
</HEAD>
<BODY BGCOLOR=$Colour::WindowBack>
<TABLE BGCOLOR=$Colour::DataBack BORDER=1 WIDTH=100%>
<TR><TD BGCOLOR=$Colour::HeaderBack>
<CENTER>
<H3>Modify $name</H3>
</CENTER>
</TD></TR>
<TR><TD ROWSPAN=2>

<FORM METHOD=get ACTION=modperson.pl>
<INPUT TYPE=HIDDEN NAME=user VALUE=$_user>
<INPUT TYPE=HIDDEN NAME=nick VALUE=$_nick>
<INPUT TYPE=HIDDEN NAME=tree VALUE=$_tree>
<TABLE>
<TR><TD>Person ID:</TD><TD>$_nick</TD></TR>
<TR><TD>Family Name:</TD><TD><INPUT TYPE=TEXT VALUE="$familyname" NAME=familyname></TD></TR>
<TR><TD>Other Names:</TD><TD><INPUT TYPE=TEXT VALUE="$othernames" NAME=othernames></TD></TR>
EOF
;

if ($sex =~ /F/) {
    print "<TR><TD>Sex:</TD><TD><SELECT NAME=sex><OPTION SELECTED>F<OPTION>M</SELECT></TD></TR>";
} else {
    print "<TR><TD>Sex:</TD><TD><SELECT NAME=sex><OPTION>F<OPTION SELECTED>M</SELECT></TD></TR>";
}

print "<TR><TD VALIGN=TOP>Comment:</TD><TD><TEXTAREA ROWS=3 COLS=40 NAME=comment>$comment</TEXTAREA></TD></TR>\n";

$bornc = substr ($birth, 0, 2);
$borny = substr ($birth, 2, 2);
$bornm = substr ($birth, 4, 2);
$bornd = substr ($birth, 6, 2);

$diedc = substr ($death, 0, 2);
$diedy = substr ($death, 2, 2);
$diedm = substr ($death, 4, 2);
$diedd = substr ($death, 6, 2);


print <<EOF
<TR><TD>Born:</TD><TD>
Century:
<SELECT NAME=bornc>
EOF
;

print "<OPTION VALUE=\"  \"";
if ($bornc =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=14; $i <=20; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$bornc/) {
        print " SELECTED";
    }
    print (">$d\n");
}


print <<EOF
</SELECT>
Year:
<SELECT NAME=borny>
EOF
;


print "<OPTION VALUE=\"  \"";
if ($borny =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=0; $i <=99; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$borny/) {
        print " SELECTED";
    }
    print (">$d\n");
}


print <<EOF
</SELECT>
Month:
<SELECT NAME=bornm>
EOF
;

@mon = ("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");

print "<OPTION VALUE=\"  \"";
if ($bornm =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=0; $i <=11; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$bornm/) {
        print " SELECTED";
    }
    print (">$mon[$i]\n");
}

print <<EOF
</SELECT>
Day:
<SELECT NAME=bornd>
EOF
;

print "<OPTION VALUE=\"  \"";
if ($bornd =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=1; $i <=31; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$bornd/) {
        print " SELECTED";
    }
    print (">$d\n");
}

print <<EOF
</SELECT>
</TD></TR>
<TR><TD>Where:</TD><TD><INPUT TYPE=TEXT NAME=bornwhere VALUE="$bornwhere">
</TD></TR>
<TR><TD>Ref:</TD><TD><INPUT TYPE=TEXT NAME=birthref VALUE="$bref">
</TD></TR>
<TR><TD VALIGN=TOP>Comment:</TD><TD><TEXTAREA ROWS=3 COLS=40 NAME=birthcomment>$bcom</TEXTAREA>
</TD></TR>
<TR><TD>Died:</TD><TD>
Century:
<SELECT NAME=diedc>
EOF
;

print "<OPTION VALUE=\"  \"";
if ($diedc =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=14; $i <=20; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$diedc/) {
        print " SELECTED";
    }
    print (">$d\n");
}


print <<EOF
</SELECT>
Year:
<SELECT NAME=diedy>
EOF
;


print "<OPTION VALUE=\"  \"";
if ($diedy =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=0; $i <=99; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$diedy/) {
        print " SELECTED";
    }
    print (">$d\n");
}


print <<EOF
</SELECT>
Month:
<SELECT NAME=diedm>
EOF
;

@mon = ("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");

print "<OPTION VALUE=\"  \"";
if ($diedm =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=0; $i <=11; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$diedm/) {
        print " SELECTED";
    }
    print (">$mon[$i]\n");
}

print <<EOF
</SELECT>
Day:
<SELECT NAME=diedd>
EOF
;

print "<OPTION VALUE=\"  \"";
if ($diedd =~ /  /) {
    print " SELECTED"
}
print ">\n";

for ($i=1; $i <=31; $i++) {
    $d = $i;
    if ($i < 10) {
        $d = "0$d";
    }
    print ("<OPTION VALUE=$d");
    if ($d =~ /$diedd/) {
        print " SELECTED";
    }
    print (">$d\n");
}

print <<EOF
</SELECT>
</TD></TR>
</TD></TR>
<TR><TD>Where:</TD><TD><INPUT TYPE=TEXT NAME=diedwhere VALUE="$diedwhere">
</TD></TR>
<TR><TD>Ref:</TD><TD><INPUT TYPE=TEXT NAME=deathref VALUE="$dref">
</TD></TR>
<TR><TD VALIGN=TOP>Comment:</TD><TD><TEXTAREA ROWS=3 COLS=40 NAME=deathcomment>$dcom</TEXTAREA>
</TD></TR>
<TR><TD>Also known as:</TD><TD><INPUT TYPE=TEXT NAME=aka1 VALUE="$aka[0]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka2 VALUE="$aka[1]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka3 VALUE="$aka[2]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka4 VALUE="$aka[3]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka5 VALUE="$aka[4]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka6 VALUE="$aka[5]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka7 VALUE="$aka[6]"></TD></TR>
<TR><TD></TD><TD><INPUT TYPE=TEXT NAME=aka8 VALUE="$aka[7]"></TD></TR>
<TR><TD>Further Info (URL):</TD>
<TD><INPUT TYPE=TEXT NAME=link VALUE="$link"></TD>
</TR>
<TR><TD>Home Page (URL):</TD>
<TD><INPUT TYPE=TEXT NAME=homepage VALUE="$homepage"></TD>
</TR>
</TABLE>
<CENTER>
<INPUT TYPE=SUBMIT VALUE=Submit> <INPUT TYPE=RESET>
<BR><BR>
<INPUT TYPE=BUTTON VALUE="Cancel" ONCLICK="top.location.href='showperson.pl?user=$_user&tree=$_tree&nick=$_nick&familyname=$_familyname'">
</CENTER>
</FORM>
</TD>
</TR>
</TABLE>
</BODY>
</HTML>
EOF
;

